<document>
\setcounter{chapter}{1}
<slide bg=0 toc=toc color=grey id=2-title mode=hide>
<c><h1><a href=q-2.html><red>2</red></a></h1></c>
@# <a href=@talk-2.html target=_top>protos</a>
</slide>

<slide color=gold id=2-open>
<h4 text=green>MMA1 Web3D/VRML 2001</h4>
%%<break size=-2 level=auto>
/// <a href=@talk-2.wrl><red>(2)</red></a>
<p><p>
<h1 align=center><yellow>zijn er nog vragen?</red></h1>
</slide>

<slide id=2-contents>
<h4 align=right>inhoud</h4>
<p>
<ul size=2 bullet=red>
<li> VRML concepts</li>
<li> nodes for assignment 2</li>
<li> small examples</li>
</ul>
</slide>

<slide color=blue id=2-nodes-2>
<h4 align=right text=green>nodes for assignment 2</h4>
<p>
<display text=yellow size=1.2>
    Sensors
	(TouchSensor, PlaneSensor, CylinderSensor, SphereSensor),
		                    DEF/USE,
						PROTO 
</display>
</slide>
<slide color=blue id=2-nodes-example>
<h4 text=green align=left>timers, interpolators, sensors and scripts</h4>
<p>
<center>
<vrml>
<object x=10>
Transform { translation -5 -5 0 children [
<include file=vrml/interpolator.wrl>
] }
Transform { translation 5 -5 0 children [
<include file=vrml/discrete-interpolator.wrl>
] }
</object>
</vrml>
</center>
</slide>

<slide id=2-dissection>
<h4 align=right text=green>dissection</h4>
<p>
<ul bullet=red>
<li> <a href=@vr-interpolator.html>interpolator</a></li>
</ul>
</slide>

<slide color=blue id=2-dis-analog>
<h4 align=right text=green>dissection analog case</h4>
<vrml>
<object start=2 justify=END scale="0.5 0.5 0.5">
Transform { translation -8 -5 0 children [
<include file=vrml/interpolator.wrl>
] }
</object>
</vrml>
%%<p br=-10>
<display text=white start=1 size=0.6>
<include file=vrml/interpolator.wrl>
</display>
</slide>
<slide color=blue id=2-dis-discr>
<h4 align=right color=green>dissection discrete case</h4>
<vrml>
<object start=2 justify=END scale="0.5 0.5 0.5">
Transform { translation -8 -5 0 children [
<include file=vrml/discrete-interpolator.wrl>
] }
</object>
</vrml>
<display text=white start=1 size=0.6>
<include file=vrml/discrete-interpolator.wrl>
</display>
</slide>

<so n-timesensor>

<slide color=blue id=2-proto>
<h4 align=left text=green>prototype</h4>
<p br=2>
<center>
<vrml>
<object x=10>
Transform { translation 0 0 0 children [
<include file=vrml/interpolator-proto.wrl>
] }
</object>
</vrml>
</center>
</slide>
<slide color=blue id=2-dis-proto>
<h4 align=right text=green>dissection prototype</h4>
<vrml>
<object start=2 justify=END scale="0.4 0.4 0.4">
Transform { translation -10 -5 0 children [
<include file=vrml/interpolator-proto.wrl>
] }
</object>
</vrml>
<p>
<channel x=6 y=-2 id=2-proto-next>
<display text=white start=1 size=0.6>
<include file=vrml/interpolator-proto.wrl>
</display>
<effect start=2 type=rotator x=6 y=8 z=1/>
<p level=+2>...
</channel>
</slide>

<slide id=2-routing>
/// routing
<p>
<display>
DEF TOUCH TouchSensor { }
DEF TIME TimeSensor { enabled FALSE loop TRUE } 
DEF SCRIPT Script {     
...
}
ROUTE TOUCH.touchTime TO SCRIPT.touched
ROUTE SCRIPT.enabled TO TIME.enabled
ROUTE TIME.fraction_changed TO SCRIPT.set_fraction
ROUTE SCRIPT.value_changed TO MATERIAL.diffuseColor  
</display>
/// instances
<display>
Bulb { translation -8 0 0 scale 0.5 0.5 0.5 }
Bulb { translation -5 0 0 }
Bulb { scale 1.5 1.5 1.5 }
Bulb { translation 5 0 0 }
Bulb { translation 8 0 0 scale 0.5 0.5 0.5 }  
</display>
</slide>

<so n-touchsensor>
<so n-script>

</document>
