<document>
%%no-pdf
<c>
<p align=right><a href=http://www.cs.vu.nl/~eliens/multimedia>multimedia @ VU</a></p>
</c>


:@ Intelligent Multimedia Technology
%%<p align=right><a href=studiegids.html>nederlands</a>

:@ code
400441


:@ credits
6

:@ period
2

:@ lecturer(s)
prof. dr. A. Eliens

:@ aim
<p>
The course aims to provide practical and theoretical
knowledge about
the application of intelligent multimedia technology
in the development of component-based multimedia applications

:@ content
The course will cover several topics, including:
<small>
<ul>
<li> research and development of multimedia and game applications 
%%<li> intelligent multimedia technologies -- DLP/AMICO 
<li> rich internet application(s) -- AJAX / Flex 3 SDK 
<li> XML-based multimedia -- X3D/VRML, SVG, SMIL, XIMPEL 
%%<li> novel interaction modalities, such as speech input and output, or camera and gesture based interaction 
<li> web services for game and multimedia application development 
<li> mashups -- component-based approach to web-based multimedia
</ul>
</small>
%%The course will teach the students how to organize intelligent dialogs between the user and complex systems such as virtual environments and 3D games.
%%The idea is to proceed from direct control and conventional interaction based on mouse and keyboard, and to introduce additional interaction modalities such as speech input and output, and camera based sensing. 
<lp>
The course takes an explorative approach in investigating the potential of the various technologies and services for multimedia and (serious) game applications.
Students are required to take an active role in
exploring tools, APIs and SDKs, and are required to
present their findings.
%%Students will actively participate, by presenting
%%a report concerning  
The course will focus on the practical work of the students, organized in a series of assignments.


:@ form of tuition
lectures and practicum

:@ literature
online reference material(s)

:@ mode of assessment
essay and practicum assignment(s)

:@ entry requirements
Multimedia Authoring, or proficiency with VRML, and preferably basic knowledge of XML

:@ target audience
mCS-MM, and interested students

:@ remarks
For information see:
http://www.cs.vu.nl/~eliens/imt

</document>
